Package org.sunflow.core.shader

## Class TexturedAmbientOcclusionShader

- java.lang.Object
- - org.sunflow.core.shader.AmbientOcclusionShader
  - - org.sunflow.core.shader.TexturedAmbientOcclusionShader

- All Implemented Interfaces:
    `RenderObject`, `Shader`

      public class TexturedAmbientOcclusionShader
      extends AmbientOcclusionShader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TexturedAmbientOcclusionShader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Color` | `getBrightColor​(ShadingState state)` |
    `boolean` | `update​(ParameterList pl, SunflowAPI api)` | Update this object given a list of parameters.

    - ### Methods inherited from class org.sunflow.core.shader.AmbientOcclusionShader

      `getOpacity, getRadiance, isOpaque, scatterPhoton`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TexturedAmbientOcclusionShader

          public TexturedAmbientOcclusionShader()

  - ### Method Detail

    - #### update

          public boolean update​(ParameterList pl,
                                SunflowAPI api)

      Description copied from interface: `RenderObject`
      Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.
      Specified by:
        `update` in interface `RenderObject`
      Overrides:
        `update` in class `AmbientOcclusionShader`
      Parameters:
        `pl` - list of parameters to read from
        `api` - reference to the current scene
      Returns:
        `true` if the update is succesfull, `false` otherwise

    - #### getBrightColor

          public Color getBrightColor​(ShadingState state)

      Overrides:
        `getBrightColor` in class `AmbientOcclusionShader`